[ic] 4.9.8 Nightly Build Options - FIXED

Mat Jones mat at booksellersolutions.com
Fri Sep 26 11:52:18 EDT 2003

Mat Jones wrote:

> I noticed the following problem on two different nightly builds i have 
> installed on 2 different servers.
> 4.9.8-200309180658 - DBI found (v1.38). Perl 5.8.0
> 4.9.8-200307240658 - DBI found (v1.37). Perl 5.6.1
> I get the following error when trying to select any option type and 
> click 'Update'.
> table options: set_slice error as called by Vend::Interpolate: 
> DBD::mysql::st execute failed: You have an error in your SQL syntax near 
> 'WHERE code = 'DOG'' at line 1 at 
> /home/interch/4.9.8/lib/Vend/Table/DBI.pm line 1245. query was:update 
> options SET WHERE code = 'DOG' values were:''

After reading Mikes CVS log entry I discovered that you need to add the 
following to catalog.cfg in order to get product options to work on the 4.9.8 
nightly builds i was using.

OptionsEnable   option_type

Im not sure if this is in the latest nightly builds already, but maybe it should 
be... i spent a couple of hours investigating this to find I needed to add only 
1 line to my catalog.cfg.


More information about the interchange-users mailing list